class PostsController < ApplicationController
  before_action :signed_in_citizen, only: [:index, :show]

  def show
    @post = Post.find(params[:id])
    @comments = @post.comments.paginate(page: params[:page], per_page: 20)
  end

  def index
    @posts = Post.paginate(page: params[:page])
  end

  def update
    @post = Post.find_by(id: params[:id])

    respond_to do |format|
      begin
        if @post.toggle!(:closed)
          format.js {}
          format.json { render json: { id: @post.id, closed: @post.closed?, status: :ok } }
        else
          format.js { render "update_error.js" }
          format.json { render json: { id: @post.id, status: :unprocessable_entity } }
        end
      rescue
        format.js { render "update_error.js" }
        format.json { render json: { id: @post.id, status: :internal_server_error } }
      end
    end
  end
end
