namespace :db do
  desc "Fill database with sample data"
  task populate: :environment do
    Citizen.create!(name: "Ciudadano Administrador",
                 login: "admin@ejemplo.com",
                 password: "administrador",
                 password_confirmation: "administrador",
                 admin: true)
    99.times do |n|
      name  = Faker::Name.name
      login = "ciudadano_#{n+1}@ejemplo.com"
      password  = "password"
      Citizen.create!(name: name,
                   login: login,
                   password: password,
                   password_confirmation: password)
    end

    citizens = Citizen.all(limit: 6, offset: 1) # no posts for admin
    50.times do |n|
      title = "Entrada #{n}"
      body = Faker::Lorem.sentence(5)
      latitude = 42.849226 + n
      longitude = -2.676473 + n
      citizens.each { |citizen| citizen.posts.create!(title: title, body: body,
                                                      latitude: latitude,
                                                      longitude: longitude) }
    end

    post = Post.first
    30.times do |n|
      content = Faker::Lorem.sentence(5, true)
      post.comments.create!(content: content, citizen: Citizen.find_by(id: n+2))
    end
  end
end