require 'spec_helper'

describe Comment do

  let(:citizen) { FactoryGirl.create(:citizen) }
  let(:post) { FactoryGirl.create(:post, citizen: citizen) }

  before do
    @comment = post.comments.build(content: "Primer comentario", citizen: citizen)
  end

  subject { @comment }

  it { should respond_to(:content) }
  it { should respond_to(:citizen_id) }
  it { should respond_to(:post_id) }

  it { should be_valid }

  describe "when post_id is not present" do
    before { @comment.post_id = nil }
    it { should_not be_valid }
  end

  describe "when citizen_id is not present" do
    before { @comment.citizen_id = nil }
    it { should_not be_valid }
  end
end
