require 'spec_helper'

describe Post do

  let(:citizen) { FactoryGirl.create(:citizen) }
  before do
    @post = citizen.posts.build(title: "Entrada de prueba",
                                body:"Bla bla bla bla bla bla ...")
  end

  subject { @post }

  it { should respond_to(:title) }
  it { should respond_to(:body) }
  it { should respond_to(:closed) }
  it { should respond_to(:latitude) }
  it { should respond_to(:longitude) }
  it { should respond_to(:citizen_id) }

  it { should respond_to(:citizen) }
  its(:citizen) { should eq citizen }

  it { should respond_to(:comments) }

  it { should be_valid }

  describe "when citizen_id is not present" do
    before { @post.citizen_id = nil }
    it { should_not be_valid }
  end

  describe "with blank title" do
    before { @post.title = "" }
    it {should_not be_valid }
  end
end
