require 'spec_helper'

describe "PostPages" do

  subject { page }

  describe "index" do
    let(:admin) { FactoryGirl.create(:admin) }
    before(:each) do
      sign_in admin
      visit posts_path
    end

    it { should have_title('Índice de entradas') }
    it { should have_content('Índice de entradas') }

    # describe "pagination" do

    #   before(:all) do
    #     citizen = FactoryGirl.create(:citizen)
    #     30.times { FactoryGirl.create(:post, citizen: citizen) }
    #   end
    #   after(:all) do
    #     citizen.delete
    #     Post.delete_all
    #   end

    #   it { should have_selector('div.pagination') }

    #   it "should list each post" do
    #     Post.paginate(page: 1) do |post|
    #       expect(page).to have_selector('li', text: post.title)
    #     end
    #   end
    # end
  end

  describe "post detail" do
    let(:admin) { FactoryGirl.create(:admin) }
    let(:citizen) { FactoryGirl.create(:citizen) }
    let!(:post) { FactoryGirl.create(:post, citizen: citizen, title: "Uno") }

    before do
      sign_in admin
      visit post_path(post)
    end

    it { should have_content(post.body) }
    it { should have_title(post.title) }
  end

end