require 'spec_helper'

describe "Site" do

  subject { page }

  shared_examples_for "all site pages" do
    it { should have_selector('h1', text: heading) }
    it { should have_title(full_title(page_title)) }
  end

  describe "Home page" do
    before { visit root_path }
    let(:heading) {'Inicio'}
    let(:page_title) {'Inicio'}

    it_should_behave_like "all site pages"
  end

  describe "About page" do
    before { visit about_path }
    let(:heading) {'Acerca de'}
    let(:page_title) {'Acerca de'}

    it_should_behave_like "all site pages"
  end

  it "should have the right links on the layout" do
    visit root_path
    click_link "Acerca de"
    expect(page).to have_title(full_title('Acerca de'))
    click_link "Inicio"
    expect(page).to have_title(full_title('Inicio'))
    click_link "Inicio"
    expect(page).to have_title(full_title('Inicio'))
  end
end
