package org.masantamaria.socialpolis.fragments;

import org.masantamaria.socialpolis.R;
import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class DashboardFragment extends Fragment {
	
	OnDashboardFragment mCallback;
	
	// Container Activity must implement this interface
    public interface OnDashboardFragment {
        public void onNewEntry(View view);
        public void onMyEntries(View view);
        public void onSearch(View view);
        public void onLogout(View view);
    }
    
    public DashboardFragment() {
	}
    
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
        Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view =  inflater.inflate(R.layout.fragment_dashboard, container, false);
        return view;
    }
    
    @Override
    public void onAttach(Activity activity) {
        super.onAttach(activity);
        
        // This makes sure that the container activity has implemented
        // the callback interface. If not, it throws an exception
        try {
            mCallback = (OnDashboardFragment) activity;
        } catch (ClassCastException e) {
            throw new ClassCastException(activity.toString()
                    + " must implement OnDashboardFragment");
        }
    }

}
