package org.masantamaria.socialpolis.fragments;

import org.masantamaria.socialpolis.R;
import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;

public class LoginFragment extends Fragment {
	
	OnLoginFragment mCallback;
	
	// Container Activity must implement this interface
    public interface OnLoginFragment {
        public void onSignup();
        public void onLogin(String login, String password);
    }
	
	public LoginFragment() {
	}
	
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
        Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view = inflater.inflate(R.layout.fragment_login, container, false);
        
        Button signupButton = (Button) view.findViewById(R.id.signup_button);
        signupButton.setOnClickListener(new Button.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				mCallback.onSignup();
			}
		});
        
        Button loginButton = (Button) view.findViewById(R.id.login_button);
        loginButton.setOnClickListener(new Button.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				View view = (View) v.getParent();
				EditText login = (EditText) view.findViewById(R.id.login);
				EditText password = (EditText) view.findViewById(R.id.password);
				mCallback.onLogin(login.getText().toString(), password.getText().toString());
			}
		});
        
        return view;
    }
    
    @Override
    public void onAttach(Activity activity) {
        super.onAttach(activity);
        
        // This makes sure that the container activity has implemented
        // the callback interface. If not, it throws an exception
        try {
            mCallback = (OnLoginFragment) activity;
        } catch (ClassCastException e) {
            throw new ClassCastException(activity.toString()
                    + " must implement OnLoginFragment");
        }
    }

}