package org.masantamaria.socialpolis.fragments;

import org.masantamaria.socialpolis.R;
import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;

public class NewAccountFragment extends Fragment {
	
	OnNewAccountFragment mCallback;
	
	// Container Activity must implement this interface
    public interface OnNewAccountFragment {
        public void onNewAccountCreate(String name, String login, String password, String passwordconfirm);
    }
	
	public NewAccountFragment() {
	}
	
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
        Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view =  inflater.inflate(R.layout.fragment_new_account, container, false);
        
        Button newAccountButton = (Button) view.findViewById(R.id.new_account_button);
        newAccountButton.setOnClickListener(new Button.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				View view = (View) v.getParent();
				EditText name = (EditText) view.findViewById(R.id.nameEditText);
				EditText login = (EditText) view.findViewById(R.id.loginEditText);
				EditText password = (EditText) view.findViewById(R.id.passwordEditText);
				EditText passwordconfirm = (EditText) view.findViewById(R.id.passwordconfirmEditText);
				mCallback.onNewAccountCreate(name.getText().toString(), login.getText().toString(),
																			password.getText().toString(), passwordconfirm.getText().toString());
			}
		});
        
        return view;
    }
    
    @Override
    public void onAttach(Activity activity) {
        super.onAttach(activity);
        
        // This makes sure that the container activity has implemented
        // the callback interface. If not, it throws an exception
        try {
            mCallback = (OnNewAccountFragment) activity;
        } catch (ClassCastException e) {
            throw new ClassCastException(activity.toString()
                    + " must implement OnNewAccountFragment");
        }
    }
}